
Redmine - Defect #14150

Unable to edit issue journal messages in Redmine 2.3.1

2013-05-25 21:44 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Hello.

I am unable to edit messages in issues. When I click on edit button I only see a glimpse of "Loading..." message and nothing

happens. In my webserver log I have the following messages:

2013/05/25 22:25:00 [error] 28257#0: *932 open() "/var/lib/redmine/public/journals/edit/895.js" fa

iled (2: No such file or directory), client: ***.***.***.***, server: example.org, request: "GET /

journals/edit/895.js HTTP/1.1", host: "bonespirit.org", referrer: "https://example.org/issues/262"

 

 Not sure if this is a bug in Redmine or I configured something improperly, but I haven't changed my Redmine configuration for

several months and it survived happily migrations over several Redmine versions and editing worked fine before. Also other features

of Redmine work fine, for example, news editing or issue description editing works fine.

I am running Redmine 2.3.1 with Ruby 1.9.3, Rails 3.2.13, PostgreSQL 9.2.4. My webserver is nginx 1.4.1 with unicorn 4.6.2. My OS

is Gentoo amd64 with latest updates.

History

#1 - 2013-05-26 05:37 - Mischa The Evil

- Status changed from New to Needs feedback

Can't replicate on clean trunk.

Any plugins? Did you change the server names in the log snippet yourself?

#2 - 2013-05-26 05:47 - Anonymous

No, no plugins. Only custom theme. Yes, I did and did it carelessly as you can see. Domain is the same as host value.

BTW, I can successfully edit my comments here, so my browser is fine. It is server side problem.

#3 - 2013-07-05 08:18 - Andrey Volkov

I have the same issue.

I am running environment similar to yours

Gentoo amd64, Redmine 2.2.4, Ruby 1.9.3, Rails 3.2.13, PostgreSQL 9.2.4, nginx 1.4.1, unicorn 4.3.1

It is not redmine problem. I solved this problem by fixing nginx configuration.

My nginx configuration before

server {

        server_name redmine.mydomain.com;

        root /var/lib/redmine/public;

        location ~ ^.+\.(jpg|jpeg|gif|png|ico|css|js)$ {

                expires 7d;

        }

        try_files $uri/index.html $uri.html $uri @redmine;

        location @redmine {
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

                proxy_set_header Host $http_host;

                proxy_redirect off;

                proxy_pass http://localhost:8068;

        }

        access_log /var/log/nginx/redmine-access_log main;

        error_log /var/log/nginx/redmine-error_log warn;

}

The solution is to pass *.js reqests to the application.

My nginx configuration after (fixed)

server {

        server_name redmine.mydomain.com;

        root /var/lib/redmine/public;

        location ~ ^.+\.(jpg|jpeg|gif|png|ico|css)$ {

                expires 7d;

        }

        location ~ ^.+\.js$ {

                try_files $uri @redmine;

        }

        try_files $uri/index.html $uri.html $uri @redmine;

        location @redmine {

                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

                proxy_set_header Host $http_host;

                proxy_redirect off;

                proxy_pass http://localhost:8068;

        }

        access_log /var/log/nginx/redmine-access_log main;

        error_log /var/log/nginx/redmine-error_log warn;

}

#4 - 2013-07-05 20:12 - Etienne Massip

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks.
